From: Andrew Morton <akpm@linux-foundation.org>

drivers/md/dm-exception-store.c: In function 'persistent_read_metadata':
drivers/md/dm-exception-store.c:452: warning: 'new_snapshot' may be used uninitialized in this function

Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---

 drivers/md/dm-exception-store.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: linux-2.6.24/drivers/md/dm-exception-store.c
===================================================================
--- linux-2.6.24.orig/drivers/md/dm-exception-store.c	2008-02-07 13:44:24.000000000 +0000
+++ linux-2.6.24/drivers/md/dm-exception-store.c	2008-02-07 13:48:17.000000000 +0000
@@ -449,7 +449,7 @@ static void persistent_destroy(struct ex
 
 static int persistent_read_metadata(struct exception_store *store)
 {
-	int r, new_snapshot;
+	int r, uninitialized_var(new_snapshot);
 	struct pstore *ps = get_info(store);
 
 	/*
